﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 180 to 189
    /// </summary>
    [TestClass]
    public class Problems180To189
    {
        [TestMethod]
        [Description("Rational zeros of a function of three variables.")]
        public void Problem180()
        {
            Assert.AreEqual(-1, Euler.Problem180.Solve());
        }

        [TestMethod]
        [Description("Investigating in how many ways objects of two different colours can be grouped.")]
        public void Problem181()
        {
            Assert.AreEqual(-1, Euler.Problem181.Solve());
        }

        [TestMethod]
        [Description("RSA encryption")]
        public void Problem182()
        {
            Assert.AreEqual(-1, Euler.Problem182.Solve());
        }

        [TestMethod]
        [Description("Maximum product of parts")]
        public void Problem183()
        {
            Assert.AreEqual(-1, Euler.Problem183.Solve());
        }

        [TestMethod]
        [Description("Triangles containing the origin.")]
        public void Problem184()
        {
            Assert.AreEqual(-1, Euler.Problem184.Solve());
        }

        [TestMethod]
        [Description("Number Mind")]
        public void Problem185()
        {
            Assert.AreEqual(-1, Euler.Problem185.Solve());
        }

        [TestMethod]
        [Description("Connectedness of a network.")]
        public void Problem186()
        {
            Assert.AreEqual(-1, Euler.Problem186.Solve());
        }

        [TestMethod]
        [Description("Semiprimes")]
        public void Problem187()
        {
            Assert.AreEqual(-1, Euler.Problem187.Solve());
        }

        [TestMethod]
        [Description("The hyperexponentiation of a number")]
        public void Problem188()
        {
            Assert.AreEqual(-1, Euler.Problem188.Solve());
        }

        [TestMethod]
        [Description("Tri-colouring a triangular grid")]
        public void Problem189()
        {
            Assert.AreEqual(-1, Euler.Problem189.Solve());
        }
    }
}
