﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 210 to 219
    /// </summary>
    [TestClass]
    public class Problems210To219
    {
        [TestMethod]
        [Description("Obtuse Angled Triangles")]
        public void Problem210()
        {
            Assert.AreEqual(-1, Euler.Problem210.Solve());
        }

        [TestMethod]
        [Description("Divisor Square Sum")]
        public void Problem211()
        {
            Assert.AreEqual(-1, Euler.Problem211.Solve());
        }

        [TestMethod]
        [Description("Combined Volume of Cuboids")]
        public void Problem212()
        {
            Assert.AreEqual(-1, Euler.Problem212.Solve());
        }

        [TestMethod]
        [Description("Flea Circus")]
        public void Problem213()
        {
            Assert.AreEqual(-1, Euler.Problem213.Solve());
        }

        [TestMethod]
        [Description("Totient Chains")]
        public void Problem214()
        {
            Assert.AreEqual(-1, Euler.Problem214.Solve());
        }

        [TestMethod]
        [Description("Crack-free Walls")]
        public void Problem215()
        {
            Assert.AreEqual(-1, Euler.Problem215.Solve());
        }

        [TestMethod]
        [Description("Investigating the primality of numbers of the form 2<var>n</var><sup>2</sup>-1")]
        public void Problem216()
        {
            Assert.AreEqual(-1, Euler.Problem216.Solve());
        }

        [TestMethod]
        [Description("Balanced Numbers")]
        public void Problem217()
        {
            Assert.AreEqual(-1, Euler.Problem217.Solve());
        }

        [TestMethod]
        [Description("Perfect right-angled triangles")]
        public void Problem218()
        {
            Assert.AreEqual(-1, Euler.Problem218.Solve());
        }

        [TestMethod]
        [Description("Skew-cost coding")]
        public void Problem219()
        {
            Assert.AreEqual(-1, Euler.Problem219.Solve());
        }
    }
}
