﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 220 to 229
    /// </summary>
    [TestClass]
    public class Problems220To229
    {
        [TestMethod]
        [Description("Heighway Dragon")]
        public void Problem220()
        {
            Assert.AreEqual(-1, Euler.Problem220.Solve());
        }

        [TestMethod]
        [Description("Alexandrian Integers")]
        public void Problem221()
        {
            Assert.AreEqual(-1, Euler.Problem221.Solve());
        }

        [TestMethod]
        [Description("Sphere Packing")]
        public void Problem222()
        {
            Assert.AreEqual(-1, Euler.Problem222.Solve());
        }

        [TestMethod]
        [Description("Almost right-angled triangles I")]
        public void Problem223()
        {
            Assert.AreEqual(-1, Euler.Problem223.Solve());
        }

        [TestMethod]
        [Description("Almost right-angled triangles II")]
        public void Problem224()
        {
            Assert.AreEqual(-1, Euler.Problem224.Solve());
        }

        [TestMethod]
        [Description("Tribonacci non-divisors")]
        public void Problem225()
        {
            Assert.AreEqual(-1, Euler.Problem225.Solve());
        }

        [TestMethod]
        [Description("A Scoop of Blancmange")]
        public void Problem226()
        {
            Assert.AreEqual(-1, Euler.Problem226.Solve());
        }

        [TestMethod]
        [Description("The Chase")]
        public void Problem227()
        {
            Assert.AreEqual(-1, Euler.Problem227.Solve());
        }

        [TestMethod]
        [Description("Minkowski Sums")]
        public void Problem228()
        {
            Assert.AreEqual(-1, Euler.Problem228.Solve());
        }

        [TestMethod]
        [Description("Four Representations using Squares")]
        public void Problem229()
        {
            Assert.AreEqual(-1, Euler.Problem229.Solve());
        }
    }
}
