﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 240 to 249
    /// </summary>
    [TestClass]
    public class Problems240To249
    {
        [TestMethod]
        [Description("Top Dice")]
        public void Problem240()
        {
            Assert.AreEqual(-1, Euler.Problem240.Solve());
        }

        [TestMethod]
        [Description("Perfection Quotients")]
        public void Problem241()
        {
            Assert.AreEqual(-1, Euler.Problem241.Solve());
        }

        [TestMethod]
        [Description("Odd Triplets")]
        public void Problem242()
        {
            Assert.AreEqual(-1, Euler.Problem242.Solve());
        }

        [TestMethod]
        [Description("Resilience")]
        public void Problem243()
        {
            Assert.AreEqual(-1, Euler.Problem243.Solve());
        }

        [TestMethod]
        [Description("Sliders")]
        public void Problem244()
        {
            Assert.AreEqual(-1, Euler.Problem244.Solve());
        }

        [TestMethod]
        [Description("Coresilience")]
        public void Problem245()
        {
            Assert.AreEqual(-1, Euler.Problem245.Solve());
        }

        [TestMethod]
        [Description("Tangents to an ellipse")]
        public void Problem246()
        {
            Assert.AreEqual(-1, Euler.Problem246.Solve());
        }

        [TestMethod]
        [Description("Squares under a hyperbola")]
        public void Problem247()
        {
            Assert.AreEqual(-1, Euler.Problem247.Solve());
        }

        [TestMethod]
        [Description("Numbers for which Euler’s totient function equals 13!")]
        public void Problem248()
        {
            Assert.AreEqual(-1, Euler.Problem248.Solve());
        }

        [TestMethod]
        [Description("Prime Subset Sums")]
        public void Problem249()
        {
            Assert.AreEqual(-1, Euler.Problem249.Solve());
        }
    }
}
