﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Inspired.Euler
{
    /// <summary>
    /// By listing the first six prime numbers: 2, 3, 5, 7, 11, and 13, we can see that the 6th prime is 13.
    /// 
    /// What is the 10001st prime number?
    /// </summary>
    public static class Problem007
    {
        /// <summary>
        /// Find the 10001st prime.
        /// </summary>
        [EulerProblem(7, Title = "Find the 10001st prime.")]
        public static long Solve()
        {
            return (Extensions.Primes007().Skip(10000).First());
        }

    }
}
