﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Inspired.Euler
{
    public static class Problem046
    {
        /// <summary>
        /// What is the smallest odd composite that cannot be written as the sum of a prime and twice a square?
        /// </summary>
        [EulerProblem(46, Title = "What is the smallest odd composite that cannot be written as the sum of a prime and twice a square?")]
        public static long Solve()
        {
            for (long i = 3; i < Int64.MinValue; i += 2)
            {
                if (i.IsPrime())
                    continue;
            }
            return 0;
        }
    }
}
