﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 160 to 169
    /// </summary>
    [TestClass]
    public class Problems160To169
    {
        [TestMethod]
        [Description("Factorial trailing digits")]
        public void Problem160()
        {
            Assert.AreEqual(-1, Euler.Problem160.Solve());
        }

        [TestMethod]
        [Description("Triominoes")]
        public void Problem161()
        {
            Assert.AreEqual(-1, Euler.Problem161.Solve());
        }

        [TestMethod]
        [Description("Hexadecimal numbers")]
        public void Problem162()
        {
            Assert.AreEqual(-1, Euler.Problem162.Solve());
        }

        [TestMethod]
        [Description("Cross-hatched triangles")]
        public void Problem163()
        {
            Assert.AreEqual(-1, Euler.Problem163.Solve());
        }

        [TestMethod]
        [Description("Numbers for which no three consecutive digits have a sum greater than a given value.")]
        public void Problem164()
        {
            Assert.AreEqual(-1, Euler.Problem164.Solve());
        }

        [TestMethod]
        [Description("Intersections")]
        public void Problem165()
        {
            Assert.AreEqual(-1, Euler.Problem165.Solve());
        }

        [TestMethod]
        [Description("Criss Cross")]
        public void Problem166()
        {
            Assert.AreEqual(-1, Euler.Problem166.Solve());
        }

        [TestMethod]
        [Description("Investigating Ulam sequences")]
        public void Problem167()
        {
            Assert.AreEqual(-1, Euler.Problem167.Solve());
        }

        [TestMethod]
        [Description("Number Rotations")]
        public void Problem168()
        {
            Assert.AreEqual(-1, Euler.Problem168.Solve());
        }

        [TestMethod]
        [Description("Exploring the number of different ways a number can be expressed as a sum of powers of 2.")]
        public void Problem169()
        {
            Assert.AreEqual(-1, Euler.Problem169.Solve());
        }
    }
}
