﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 190 to 199
    /// </summary>
    [TestClass]
    public class Problems190To199
    {
        [TestMethod]
        [Description("Maximising a weighted product")]
        public void Problem190()
        {
            Assert.AreEqual(-1, Euler.Problem190.Solve());
        }

        [TestMethod]
        [Description("Prize Strings")]
        public void Problem191()
        {
            Assert.AreEqual(-1, Euler.Problem191.Solve());
        }

        [TestMethod]
        [Description("Best Approximations")]
        public void Problem192()
        {
            Assert.AreEqual(-1, Euler.Problem192.Solve());
        }

        [TestMethod]
        [Description("Squarefree Numbers")]
        public void Problem193()
        {
            Assert.AreEqual(-1, Euler.Problem193.Solve());
        }

        [TestMethod]
        [Description("Coloured Configurations")]
        public void Problem194()
        {
            Assert.AreEqual(-1, Euler.Problem194.Solve());
        }

        [TestMethod]
        [Description("Inscribed circles of triangles with one angle of 60 degrees")]
        public void Problem195()
        {
            Assert.AreEqual(-1, Euler.Problem195.Solve());
        }

        [TestMethod]
        [Description("Prime triplets")]
        public void Problem196()
        {
            Assert.AreEqual(-1, Euler.Problem196.Solve());
        }

        [TestMethod]
        [Description("Investigating the behaviour of a recursively defined sequence")]
        public void Problem197()
        {
            Assert.AreEqual(-1, Euler.Problem197.Solve());
        }

        [TestMethod]
        [Description("Ambiguous Numbers")]
        public void Problem198()
        {
            Assert.AreEqual(-1, Euler.Problem198.Solve());
        }

        [TestMethod]
        [Description("Iterative Circle Packing")]
        public void Problem199()
        {
            Assert.AreEqual(-1, Euler.Problem199.Solve());
        }
    }
}
