﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 200 to 209
    /// </summary>
    [TestClass]
    public class Problems200To209
    {
        [TestMethod]
        [Description("Find the 200th prime-proof sqube containing the contiguous sub-string '200'")]
        public void Problem200()
        {
            Assert.AreEqual(-1, Euler.Problem200.Solve());
        }

                [TestMethod]
        [Description("Subsets with a unique sum")]
        public void Problem201()
        {
            Assert.AreEqual(-1, Euler.Problem201.Solve());
        }
 
        [TestMethod]
        [Description("Laserbeam")]
        public void Problem202()
        {
            Assert.AreEqual(-1, Euler.Problem202.Solve());
        }
 
        [TestMethod]
        [Description("Squarefree Binomial Coefficients")]
        public void Problem203()
        {
            Assert.AreEqual(-1, Euler.Problem203.Solve());
        }
 
        [TestMethod]
        [Description("Generalised Hamming Numbers")]
        public void Problem204()
        {
            Assert.AreEqual(-1, Euler.Problem204.Solve());
        }
 
        [TestMethod]
        [Description("Dice Game")]
        public void Problem205()
        {
            Assert.AreEqual(-1, Euler.Problem205.Solve());
        }
 
        [TestMethod]
        [Description("Concealed Square")]
        public void Problem206()
        {
            Assert.AreEqual(-1, Euler.Problem206.Solve());
        }
 
        [TestMethod]
        [Description("Integer partition equations")]
        public void Problem207()
        {
            Assert.AreEqual(-1, Euler.Problem207.Solve());
        }
 
        [TestMethod]
        [Description("Robot Walks")]
        public void Problem208()
        {
            Assert.AreEqual(-1, Euler.Problem208.Solve());
        }
 
        [TestMethod]
        [Description("Circular Logic")]
        public void Problem209()
        {
            Assert.AreEqual(-1, Euler.Problem209.Solve());
        }
    }
}
