﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 230 to 239
    /// </summary>
    [TestClass]
    public class Problems230To239
    {
        [TestMethod]
        [Description("Fibonacci Words")]
        public void Problem230()
        {
            Assert.AreEqual(-1, Euler.Problem230.Solve());
        }

        [TestMethod]
        [Description("The prime factorisation of binomial coefficients")]
        public void Problem231()
        {
            Assert.AreEqual(-1, Euler.Problem231.Solve());
        }

        [TestMethod]
        [Description("The Race")]
        public void Problem232()
        {
            Assert.AreEqual(-1, Euler.Problem232.Solve());
        }

        [TestMethod]
        [Description("Lattice points on a circle")]
        public void Problem233()
        {
            Assert.AreEqual(-1, Euler.Problem233.Solve());
        }

        [TestMethod]
        [Description("Semidivisible numbers")]
        public void Problem234()
        {
            Assert.AreEqual(-1, Euler.Problem234.Solve());
        }

        [TestMethod]
        [Description("An Arithmetic Geometric sequence")]
        public void Problem235()
        {
            Assert.AreEqual(-1, Euler.Problem235.Solve());
        }

        [TestMethod]
        [Description("Luxury Hampers")]
        public void Problem236()
        {
            Assert.AreEqual(-1, Euler.Problem236.Solve());
        }

        [TestMethod]
        [Description("Tours on a 4 x n playing board")]
        public void Problem237()
        {
            Assert.AreEqual(-1, Euler.Problem237.Solve());
        }

        [TestMethod]
        [Description("Infinite string tour")]
        public void Problem238()
        {
            Assert.AreEqual(-1, Euler.Problem238.Solve());
        }

        [TestMethod]
        [Description("Twenty-two Foolish Primes")]
        public void Problem239()
        {
            Assert.AreEqual(-1, Euler.Problem239.Solve());
        }
    }
}
