﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 250 to 259
    /// </summary>
    [TestClass]
    public class Problems250To259
    {
        [TestMethod]
        [Description("250250")]
        public void Problem250()
        {
            Assert.AreEqual(-1, Euler.Problem250.Solve());
        }

        [TestMethod]
        [Description("Cardano Triplets")]
        public void Problem251()
        {
            Assert.AreEqual(-1, Euler.Problem251.Solve());
        }

        [TestMethod]
        [Description("Convex Holes")]
        public void Problem252()
        {
            Assert.AreEqual(-1, Euler.Problem252.Solve());
        }

        [TestMethod]
        [Description("Tidying up")]
        public void Problem253()
        {
            Assert.AreEqual(-1, Euler.Problem253.Solve());
        }

        [TestMethod]
        [Description("Sums of Digit Factorials")]
        public void Problem254()
        {
            Assert.AreEqual(-1, Euler.Problem254.Solve());
        }

        [TestMethod]
        [Description("Rounded Square Roots")]
        public void Problem255()
        {
            Assert.AreEqual(-1, Euler.Problem255.Solve());
        }

        [TestMethod]
        [Description("Tatami-Free Rooms")]
        public void Problem256()
        {
            Assert.AreEqual(-1, Euler.Problem256.Solve());
        }

        [TestMethod]
        [Description("Angular Bisectors")]
        public void Problem257()
        {
            Assert.AreEqual(-1, Euler.Problem257.Solve());
        }

        [TestMethod]
        [Description("A lagged Fibonacci sequence")]
        public void Problem258()
        {
            Assert.AreEqual(-1, Euler.Problem258.Solve());
        }

        [TestMethod]
        [Description("Reachable Numbers")]
        public void Problem259()
        {
            Assert.AreEqual(-1, Euler.Problem259.Solve());
        }
    }
}
