﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Inspired.Euler.Tests
{
    /// <summary>
    /// Tests for problems from 260 to 266
    /// </summary>
    [TestClass]
    public class Problems260To266
    {
        [TestMethod]
        [Description("Stone Game")]
        public void Problem260()
        {
            Assert.AreEqual(-1, Euler.Problem260.Solve());
        }
 
        [TestMethod]
        [Description("Pivotal Square Sums")]
        public void Problem261()
        {
            Assert.AreEqual(-1, Euler.Problem261.Solve());
        }
 
        [TestMethod]
        [Description("Mountain Range.")]
        public void Problem262()
        {
            Assert.AreEqual(-1, Euler.Problem262.Solve());
        }
 
        [TestMethod]
        [Description("An engineers’ dream come true")]
        public void Problem263()
        {
            Assert.AreEqual(-1, Euler.Problem263.Solve());
        }
 
        [TestMethod]
        [Description("Triangle Centres")]
        public void Problem264()
        {
            Assert.AreEqual(-1, Euler.Problem264.Solve());
        }
 
        [TestMethod]
        [Description("Binary Circles")]
        public void Problem265()
        {
            Assert.AreEqual(-1, Euler.Problem265.Solve());
        }

        [TestMethod]
        [Description("Pseudo Square Root")]
        public void Problem266()
        {
            Assert.AreEqual(-1, Euler.Problem266.Solve());
        }
    }
}
