﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Text.RegularExpressions;

namespace Inspired.Euler
{
    public static class Problem022
    {
        public static long Solve()
        {
            return Regex.Matches(File.ReadAllText(@"..\..\Data\names.txt"), @"""(?<name>.*?)"",?")
                        .OfType<Match>()
                        .OrderBy(m => m.Groups["name"].Value)
                        .Select (m => m.Groups["name"].Value)
                        .Select ((name, index) => (index+1) * name.Sum(c => (int)c - 64))
                        .Sum();
        }
    }
}
